package com.mdd.admin.config.quartz;

import java.text.ParseException;
import java.util.Date;
import org.quartz.CronExpression;

public class CronUtils {
   public static boolean isValid(String cronExpression) {
      return CronExpression.isValidExpression(cronExpression);
   }

   public static String invalidMessage(String cronExpression) {
      try {
         new CronExpression(cronExpression);
         return null;
      } catch (ParseException var2) {
         ParseException pe = var2;
         return pe.getMessage();
      }
   }

   public static Date nextExecution(String cronExpression) {
      try {
         CronExpression cron = new CronExpression(cronExpression);
         return cron.getNextValidTimeAfter(new Date(System.currentTimeMillis()));
      } catch (ParseException var2) {
         ParseException e = var2;
         throw new IllegalArgumentException(e.getMessage());
      }
   }
}
